import {select, arc} from 'd3'

const svg = select('svg');

const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));


const g = svg.append('g')
	.attr('transform', `translate(${width/2}, ${height/2})`);

const circle = g.append('circle')
	.attr('r', height/2)
  
	.attr('fill', 'yellow')
	.attr('stroke','black');

const eyeSpacing = 100;
const eyeYOffset = -70;
const eyeRadius = 50
const eyebrowWidth = 100;
const eyebrowHeight = 20;
const eyebrowYOffset = -80;

const eyesG = g.append('g').attr('transform',`translate(0,${eyeYOffset})`);

const leftEye = eyesG.append('circle')
		.attr('r', eyeRadius)
  	.attr('cx', -eyeSpacing)
		.attr('fill', 'white')
		.attr('stroke','black')
	.append('circle')
		.attr('r', eyeRadius/2)
  	.attr('cx', -eyeSpacing-eyeRadius/2)
		.attr('fill', 'black');

const rightEye = eyesG.append('circle')
	.attr('r', eyeRadius)
  .attr('cx', eyeSpacing)
	.attr('fill', 'white')
	.attr('stroke', 'black');

eyesG
	.transition().duration(2000)
		.attr('transform','scale(2)')
	.transition().duration(2000)
		.attr('transform','scale(1)')
		.attr('transform','translate(0,-50)')

const pupilsG = eyesG.append('g');

const leftPupil = pupilsG
	.append('circle')
		.attr('r', eyeRadius/3)
		.attr('cx',-eyeSpacing);

const rightPupil = pupilsG
	.append('circle')
		.attr('r',eyeRadius/3)
		.attr('cx',eyeSpacing);

pupilsG
	.transition().duration(2000)
		.attr('transform','scale(2)')
	.transition().duration(2000)
		.attr('transform','scale(1)');

const eyebrowsG = eyesG
	.append('g')
		.attr('transform',`translate(0,${eyebrowYOffset})`);

eyebrowsG
  .transition().duration(2000)
		.attr('transform',`translate(0,${eyebrowYOffset - 50})`)
	.transition().duration(2000)
		.attr('transform',`translate(0,${eyebrowYOffset})`);

const leftEyebrow = eyebrowsG.append('rect')
	.attr('x', -eyeSpacing - eyebrowWidth/2)
	.attr('width',eyebrowWidth)
	.attr('height',eyebrowHeight);

const rightEyebrow = eyebrowsG
	.append('rect')
    .attr('x', eyeSpacing - eyebrowWidth/2)
    .attr('width',eyebrowWidth)
    .attr('height',eyebrowHeight);


const mouth = g.append('path')
	.attr('d' ,arc()({
  		innerRadius: 150,
       outerRadius:170,
       startAngle: Math.PI/2 ,
       endAngle: 3*Math.PI/2
  })) 

mouth
	.transition().duration(1000)
		.attr('transform', 'rotate(35)')
	.transition().duration(3000)
		.attr('transform', 'scale(.5)');






